Preskoči na sadržaj

Tasks

Tasks per calendar event

The task object

Attributes

iduuid

Unique identifier

calendar_event_iduuid
calendar_events.id

Identifier of the related calendar event

task_template_iduuid | null
task_templates.id

Identifier of the related task template

created_atread-onlytimestamp with time zone

Creation timestamp

updated_atread-onlytimestamp with time zone

Last modification timestamp

completed_attimestamp with time zone | null

Timestamp at which the task was completed

due_attimestamp with time zone

Timestamp at which the task is due

ftsread-onlytsvector
labeltext

Label of the task

notification_sent_attimestamp with time zone | null

Timestamp at which the last notification was sent

scheduleTaskSchedule

Schedule of the task relative to the event

Related resources

Embed related resources in the response with the select parameter, for example select=*,calendar_events(*). Resources related through more than one column need the column as a hint, like table!column(*).

calendar_events(*)object | null
calendar_events

The calendar event referenced by calendar_event_id.

task_templates(*)object | null
task_templates

The task template referenced by task_template_id.

task_assignees(*)array
task_assignees

The task assignees referencing this task through task_assignees.task_id.

The task object
JSON
{
  "id": "00000000-0000-0000-0000-000000000000",
  "calendar_event_id": "00000000-0000-0000-0000-000000000000",
  "task_template_id": "00000000-0000-0000-0000-000000000000",
  "created_at": "2026-10-30T22:26:24.060Z",
  "updated_at": "2026-10-30T22:26:24.060Z",
  "completed_at": "2026-10-30T22:26:24.060Z",
  "due_at": "2026-10-30T22:26:24.060Z",
  "label": "Summer cottage",
  "notification_sent_at": "2026-10-30T22:26:24.060Z",
  "schedule": "arrival"
}
Including related resources
curl -X GET "https://api.bookingmood.com/v1/tasks?limit=10&select=*,calendar_events(*),task_templates(*)" \
  -H "Authorization: Bearer YOUR_API_KEY"

List tasks

Filters

idFilter<uuid>

Unique identifier

calendar_event_idFilter<uuid>
calendar_events.id

Identifier of the related calendar event

task_template_idFilter<uuid | null>
task_templates.id

Identifier of the related task template

created_atFilter<timestamp with time zone>

Creation timestamp

updated_atFilter<timestamp with time zone>

Last modification timestamp

completed_atFilter<timestamp with time zone | null>

Timestamp at which the task was completed

due_atFilter<timestamp with time zone>

Timestamp at which the task is due

ftsFilter<tsvector>
labelFilter<text>

Label of the task

notification_sent_atFilter<timestamp with time zone | null>

Timestamp at which the last notification was sent

scheduleFilter<TaskSchedule>

Schedule of the task relative to the event

Responses

200

A list of tasks with the selected columns

206

Partial Content

400

The request is malformed, for example an unknown column or an invalid filter.

401

The API key is missing or invalid.

Error responses have a JSON body with a code, message, details and hint. See the introduction for more on errors.
GET /tasks
curl -X GET "https://api.bookingmood.com/v1/tasks?select=*&limit=10" \
  -H "Authorization: Bearer YOUR_API_KEY"
Example response
JSON
[
  {
    "id": "00000000-0000-0000-0000-000000000000",
    "calendar_event_id": "00000000-0000-0000-0000-000000000000",
    "task_template_id": "00000000-0000-0000-0000-000000000000",
    "created_at": "2026-10-30T22:26:24.060Z",
    "updated_at": "2026-10-30T22:26:24.060Z",
    "completed_at": "2026-10-30T22:26:24.060Z",
    "due_at": "2026-10-30T22:26:24.060Z",
    "label": "Summer cottage",
    "notification_sent_at": "2026-10-30T22:26:24.060Z",
    "schedule": "arrival"
  }
]

Create tasks

Body

Partial<Task> | Array<Partial<Task>>

Read-only attributes are set by the database and can't be written.

Responses

201

The newly created tasks with the selected columns

400

The request is malformed, for example an unknown column, an invalid filter or an invalid body.

401

The API key is missing or invalid.

403

The API key has no permission for this change, for example when writing rows of another organization.

409

The change conflicts with existing data, for example a duplicate key or a reference to a row that does not exist.

Error responses have a JSON body with a code, message, details and hint. See the introduction for more on errors.
POST /tasks
curl -X POST "https://api.bookingmood.com/v1/tasks" \
  -H "Authorization: Bearer YOUR_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "calendar_event_id": "00000000-0000-0000-0000-000000000000",
    "due_at": "2026-10-30T22:26:24.060Z",
    "label": "Summer cottage",
    "schedule": "arrival"
  }'
Example response
JSON
[
  {
    "id": "00000000-0000-0000-0000-000000000000",
    "calendar_event_id": "00000000-0000-0000-0000-000000000000",
    "task_template_id": "00000000-0000-0000-0000-000000000000",
    "created_at": "2026-10-30T22:26:24.060Z",
    "updated_at": "2026-10-30T22:26:24.060Z",
    "completed_at": "2026-10-30T22:26:24.060Z",
    "due_at": "2026-10-30T22:26:24.060Z",
    "label": "Summer cottage",
    "notification_sent_at": "2026-10-30T22:26:24.060Z",
    "schedule": "arrival"
  }
]

Delete tasks

Filters

Without filters, this request deletes all tasks you have access to. Always filter on at least one column, e.g. id=eq.{id}.

idFilter<uuid>

Unique identifier

calendar_event_idFilter<uuid>
calendar_events.id

Identifier of the related calendar event

task_template_idFilter<uuid | null>
task_templates.id

Identifier of the related task template

created_atFilter<timestamp with time zone>

Creation timestamp

updated_atFilter<timestamp with time zone>

Last modification timestamp

completed_atFilter<timestamp with time zone | null>

Timestamp at which the task was completed

due_atFilter<timestamp with time zone>

Timestamp at which the task is due

ftsFilter<tsvector>
labelFilter<text>

Label of the task

notification_sent_atFilter<timestamp with time zone | null>

Timestamp at which the last notification was sent

scheduleFilter<TaskSchedule>

Schedule of the task relative to the event

Responses

200

The deleted tasks with the selected columns. Returns 204 without a body when sending the header Prefer: return=minimal.

400

The request is malformed, for example an unknown column or an invalid filter.

401

The API key is missing or invalid.

403

The API key has no permission for this change, for example when writing rows of another organization.

Error responses have a JSON body with a code, message, details and hint. See the introduction for more on errors.
DELETE /tasks
curl -X DELETE "https://api.bookingmood.com/v1/tasks?id=eq.00000000-0000-0000-0000-000000000000" \
  -H "Authorization: Bearer YOUR_API_KEY"
Example response
JSON
[
  {
    "id": "00000000-0000-0000-0000-000000000000",
    "calendar_event_id": "00000000-0000-0000-0000-000000000000",
    "task_template_id": "00000000-0000-0000-0000-000000000000",
    "created_at": "2026-10-30T22:26:24.060Z",
    "updated_at": "2026-10-30T22:26:24.060Z",
    "completed_at": "2026-10-30T22:26:24.060Z",
    "due_at": "2026-10-30T22:26:24.060Z",
    "label": "Summer cottage",
    "notification_sent_at": "2026-10-30T22:26:24.060Z",
    "schedule": "arrival"
  }
]

Update tasks

Filters

Without filters, this request updates all tasks you have access to. Always filter on at least one column, e.g. id=eq.{id}.

idFilter<uuid>

Unique identifier

calendar_event_idFilter<uuid>
calendar_events.id

Identifier of the related calendar event

task_template_idFilter<uuid | null>
task_templates.id

Identifier of the related task template

created_atFilter<timestamp with time zone>

Creation timestamp

updated_atFilter<timestamp with time zone>

Last modification timestamp

completed_atFilter<timestamp with time zone | null>

Timestamp at which the task was completed

due_atFilter<timestamp with time zone>

Timestamp at which the task is due

ftsFilter<tsvector>
labelFilter<text>

Label of the task

notification_sent_atFilter<timestamp with time zone | null>

Timestamp at which the last notification was sent

scheduleFilter<TaskSchedule>

Schedule of the task relative to the event

Body

Partial<Task>

Read-only attributes are set by the database and can't be written.

Responses

200

The updated tasks with the selected columns. Returns 204 without a body when sending the header Prefer: return=minimal.

400

The request is malformed, for example an unknown column, an invalid filter or an invalid body.

401

The API key is missing or invalid.

403

The API key has no permission for this change, for example when writing rows of another organization.

409

The change conflicts with existing data, for example a duplicate key or a reference to a row that does not exist.

Error responses have a JSON body with a code, message, details and hint. See the introduction for more on errors.
PATCH /tasks
curl -X PATCH "https://api.bookingmood.com/v1/tasks?id=eq.00000000-0000-0000-0000-000000000000" \
  -H "Authorization: Bearer YOUR_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "due_at": "2026-10-30T22:26:24.060Z"
  }'
Example response
JSON
[
  {
    "id": "00000000-0000-0000-0000-000000000000",
    "calendar_event_id": "00000000-0000-0000-0000-000000000000",
    "task_template_id": "00000000-0000-0000-0000-000000000000",
    "created_at": "2026-10-30T22:26:24.060Z",
    "updated_at": "2026-10-30T22:26:24.060Z",
    "completed_at": "2026-10-30T22:26:24.060Z",
    "due_at": "2026-10-30T22:26:24.060Z",
    "label": "Summer cottage",
    "notification_sent_at": "2026-10-30T22:26:24.060Z",
    "schedule": "arrival"
  }
]

Preuzmite kontrolu nad svojim rezervacijama. Izgradite posao koji posjedujete.

Pridružite se 1200+ neovisnim tvrtkama za iznajmljivanje smještaja koristeći Bookingmood kako biste povećali broj izravnih rezervacija i izgradili jače odnose s gostima.

Započnite besplatno 14-dnevno probno razdoblje